Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon.com110
Class OWSDomainType110

    java.lang.Object
      org.deegree.owscommon.com110.OWSDomainType110

    public class OWSDomainType110

extends Object

FIXME should be renamed.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary
`String` | `name`
`static String` | `REFERENCE_SYSTEM`
`static String` | `UOM`

Constructor Summary
`OWSDomainType110(boolean anyValue, boolean noValues, String defaultValue, OWSMetadata meaning, OWSMetadata dataType, String measurementType, OWSMetadata measurement, OWSMetadata[] metadata, String name)` Creates a new `DomainType110` object.
`OWSDomainType110(OWSAllowedValues allowedValues, String defaultValue, OWSMetadata meaning, OWSMetadata dataType, String measurementType, OWSMetadata measurement, OWSMetadata[] metadata, String name)` Creates a new `DomainType110` object.
`OWSDomainType110(OWSMetadata valuesListReference, String defaultValue, OWSMetadata meaning, OWSMetadata dataType, String measurementType, OWSMetadata measurement, OWSMetadata[] metadata, String name)` Creates a new `DomainType110` object.

Method Summary
`OWSAllowedValues` | `getAllowedValues()`
`TypedLiteral` | `getDefaultValue()`
`OWSMetadata` | `getMeaning()`
`OWSMetadata` | `getMeasurement()`
`String` | `getMeasurementType()` Returns the measurementType, or null if the measurement object is null.
`OWSMetadata[]` | `getMetadata()` Returns an array of OWSMetadata objects.
`String` | `getName()`
`OWSMetadata` | `getOwsDataType()`
`OWSMetadata` | `getValuesListReference()`
`boolean` | `hasNoValues()`
`boolean` | `isAnyValue()`
`void` | `setDefaultValue(TypedLiteral defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFERENCE_SYSTEM

    public static final String REFERENCE_SYSTEM

See Also:
  Constant Field Values

### UOM

    public static final String UOM

See Also:
  Constant Field Values

### name

    public String name

Constructor Detail

### OWSDomainType110

    public OWSDomainType110(OWSAllowedValues allowedValues,
                            String defaultValue,
                            OWSMetadata meaning,
                            OWSMetadata dataType,
                            String measurementType,
                            OWSMetadata measurement,
                            OWSMetadata[] metadata,
                            String name)

  Creates a new `DomainType110` object. Use this constructor to create the `DomainType110` object with an `OWSAllowedValues` object.

  Parameters:
    `allowedValues` -
    `defaultValue` -
    `meaning` -
    `dataType` -
    `measurementType` - Must be either "REFERENCE_SYSTEM" or "UOM".
    `measurement` -
    `metadata` -
    `name` - mandatory attribute

### OWSDomainType110

    public OWSDomainType110(boolean anyValue,
                            boolean noValues,
                            String defaultValue,
                            OWSMetadata meaning,
                            OWSMetadata dataType,
                            String measurementType,
                            OWSMetadata measurement,
                            OWSMetadata[] metadata,
                            String name)

  Creates a new `DomainType110` object. Use this constructor to create the `DomainType110` object when `anyValue` OR `noValues` is true.

  Parameters:
    `anyValue` - Cannot be true if noValues is true.
    `noValues` - Cannot be true if anyValue is true.
    `defaultValue` -
    `meaning` -
    `dataType` -
    `measurementType` - Must be either "REFERENCE_SYSTEM" or "UOM".
    `measurement` -
    `metadata` -
    `name` - mandatory attribute

### OWSDomainType110

    public OWSDomainType110(OWSMetadata valuesListReference,
                            String defaultValue,
                            OWSMetadata meaning,
                            OWSMetadata dataType,
                            String measurementType,
                            OWSMetadata measurement,
                            OWSMetadata[] metadata,
                            String name)

  Creates a new `DomainType110` object. Use this constructor to create the `DomainType110` object with an `OWSMetadata` object of valuesListReference.

  Parameters:
    `valuesListReference` -
    `defaultValue` -
    `meaning` -
    `dataType` -
    `measurementType` - Must be either "REFERENCE_SYSTEM" or "UOM".
    `measurement` -
    `metadata` -
    `name` - mandatory attribute

Method Detail

### getAllowedValues

    public OWSAllowedValues getAllowedValues()

  Returns:
    Returns the allowedValues.

### isAnyValue

    public boolean isAnyValue()

  Returns:
    Returns the anyValue.

### hasNoValues

    public boolean hasNoValues()

  Returns:
    Returns the noValues.

### getValuesListReference

    public OWSMetadata getValuesListReference()

  Returns:
    Returns the valuesListReference.

### getDefaultValue

    public TypedLiteral getDefaultValue()

  Returns:
    Returns the defaultValue.

### getMeaning

    public OWSMetadata getMeaning()

  Returns:
    Returns the meaning.

### getOwsDataType

    public OWSMetadata getOwsDataType()

  Returns:
    Returns the owsDataType.

### getMeasurementType

    public String getMeasurementType()

  Returns the measurementType, or null if the measurement object is null.

  Returns:
    Returns the measurementType.

### getMeasurement

    public OWSMetadata getMeasurement()

  Returns:
    Returns the measurement.

### getMetadata

    public OWSMetadata[] getMetadata()

  Returns an array of OWSMetadata objects. If metadata is null, an array of size 0 is returned.

  Returns:
    Returns the metadata.

### getName

    public String getName()

  Returns:
    Returns the name.

### setDefaultValue

    public void setDefaultValue(TypedLiteral defaultValue)

  Parameters:
    `defaultValue` - The defaultValue to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org